FTGL: FTExtrudeGlyph Class Reference

FTGL 2.4.0

Public Member Functions
FTExtrudeGlyph Class Reference

FTExtrudeGlyph is a specialisation of FTGlyph for creating tessellated extruded polygon glyphs. More...

`#include <FTExtrdGlyph.h>`

Inheritance diagram for FTExtrudeGlyph:
[legend]
Collaboration diagram for FTExtrudeGlyph:
[legend]

## Public Member Functions
| FTExtrudeGlyph (FT_GlyphSlot glyph, float depth, float frontOutset, float backOutset, bool useDisplayList)
| Constructor.
virtual | ~FTExtrudeGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.
Public Member Functions inherited from FTGlyph
virtual | ~FTGlyph ()
| Destructor.
virtual float | Advance () const
| Return the advance width for this glyph.
virtual const FTBBox & | BBox () const
| Return the bounding box for this glyph.
virtual FT_Error | Error () const
| Queries for errors.

## Additional Inherited Members
Protected Member Functions inherited from FTGlyph
| FTGlyph (FT_GlyphSlot glyph)
| Create a glyph.

## Detailed Description

FTExtrudeGlyph is a specialisation of FTGlyph for creating tessellated extruded polygon glyphs.

Definition at line 43 of file FTExtrdGlyph.h.

## Constructor & Destructor Documentation

## ◆ FTExtrudeGlyph()

FTExtrudeGlyph::FTExtrudeGlyph | ( | FT_GlyphSlot | glyph,
|  | float | depth,
|  | float | frontOutset,
|  | float | backOutset,
|  | bool | useDisplayList )

Constructor.

Sets the Error to Invalid_Outline if the glyph isn't an outline.

Parameters

  glyph | The Freetype glyph to be processed
  depth | The distance along the z axis to extrude the glyph
  frontOutset | outset contour size
  backOutset | outset contour size
  useDisplayList | Enable or disable the use of Display Lists for this glyph `true` turns ON display lists. `false` turns OFF display lists.

## ◆ ~FTExtrudeGlyph()

virtual FTExtrudeGlyph::~FTExtrudeGlyph | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ Render()

virtual const FTPoint & FTExtrudeGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode )
| virtual

Render this glyph at the current pen position.

Parameters

  pen | The current pen position.
  renderMode | Render mode to display

Returns
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTExtrdGlyph.h